<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require("../../conexion/conectar.php");
require("../../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();
if(!isset($_REQUEST["uuidIngreso"])){
	?><script>$j_6.messager.alert("Error","Faltan parametros.","error");</script><?exit;
}
$uuidIngreso=$_REQUEST["uuidIngreso"];
$uuidEgreso=$_REQUEST["uuidEgreso"];
if(validaRelacionAutomatica($uuidEgreso,$uuidIngreso)){
	?><script>$j_6.messager.alert("Error","No es posible deshacer una relaci&oacute;n que se genero automaticamente.","error");</script><?exit;
}

if(validaCompensacionGenerada($uuidEgreso,$uuidIngreso)){
	?><script>$j_6.messager.alert("Error","No es posible deshacer la relaci&oacute;n.<br/>Elimine las compensaciones generadas al documento de ingreso.","error");</script><?exit;
}

$qDelete="delete from cfdirelacionados where uuidpadre='$uuidEgreso' and uuidhijo='$uuidIngreso' and automatico='0'";
if(mysqli_query($conexion->CONEXION,$qDelete)){
	setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "DELETE", "tabla cfdirelacionados: quita relacion cfdi.", $qDelete);
	?><script>$j_6.messager.alert("Informacion.","Se ha logrado quitar la relaci&oacute;n.","info");</script><?exit;
}else{
	?><script>$j_6.messager.alert("Error.","Ocurrio un error al quitar la relaci&oacute;n.","error");</script><?exit;
}


function validaCompensacionGenerada($uuidEgreso,$uuidIngreso){
	global $conexion;
	$q="select * from recibedoce_compensacion where uuid_padre='$uuidIngreso' and uuid_hijo='$uuidEgreso'";
	if(!$r = mysqli_query($conexion->CONEXION,$q)){
		?><script>$j_6.messager.alert("Error.","Ocurrio un error al consultar las compensaciones del egreso. Intente nuevamente.","error");</script><?exit;
	}
	if(mysqli_num_rows($r) > 0){
		return true;
	}
	return false;
}
function validaRelacionAutomatica($uuidEgreso,$uuidIngreso){
	global $conexion;
	$q="select automatico from cfdirelacionados where uuidpadre='$uuidEgreso' and uuidhijo='$uuidIngreso' and automatico='1'";
	if(!$r = mysqli_query($conexion->CONEXION,$q)){
		?><script>$j_6.messager.alert("Error.","Ocurrio un error al consultar el tipo de relacion del documento. Intente nuevamente.","error");</script><?exit;
	}
	if(mysqli_num_rows($r) > 0){
		return true;
	}
	return false;
}
?>